import request from '@/utils/request'

// api地址
const api = {
	data: 'sharp.home/data',
	list: 'sharp.goods/list',
	getImage: 'goods/getCommonConfig',
	getImage: 'goods/getCommonConfig',
	getImage: 'goods/getCommonConfig',
	chartsGoodsJing: 'goods/chartsGoodsJing',
	chartsGoodsList: "goods/chartsGoodsList",
	brandList: 'goods/brandList',
	charts: "goods/charts",
	couponList: 'coupon/list',
	receive: 'myCoupon/receive'
}
// 新品
export const brandList = (data) => {
	return request.get(api.brandList, data)
}
// 预售专区
export const list = () => {
	return request.get(api.list, {}, {
		load: false
	})
}
// 秒杀活动首页
export const data = () => {
	return request.get(api.data, {}, {
		load: false
	})
}
// 轮播
export const getImage = (data) => {
	return request.get(api.getImage, data)
}
// 排行精选
export const chartsGoodsJing = (data) => {
	return request.get(api.chartsGoodsJing, data)
}
// 排行精选商品
export const chartsGoodsList = (data) => {
	return request.get(api.chartsGoodsList, data)
}
// 排行类
export const charts = (data) => {
	return request.get(api.charts, data)
}
// 新人收单劵
export const couponList = (data) => {
	return request.post(api.couponList, data)
}
// 立即领取
export const receive = (data) => {
	return request.post(api.receive, data)
}
// 预售分类
export const presaleCateList = (data) => {
	return request.get('goods/presaleCateList', data)
}
// 预售列表
export const presaleGoodsList = (data) => {
	return request.get('goods/presaleGoodsList', data)
}
// 元旦列表
export const detail = (data) => {
	return request.get('active/detail', data)
}
// 元旦详情
export const info = (data) => {
	return request.get('active/info', data)
}